Bug 44751 - no control section in named.conf
no control section in named.conf
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: bindconf (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-15 18:16 EDT by av3
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-18 10:39:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description av3 2001-06-15 18:16:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)

Description of problem:
There is no control section in named.conf, that is why you need the 
killall -HUP named in /etc/init.d/named. 



How reproducible:
Always

Steps to Reproduce:
1. /etc/init.d/named reload
(or anything that uses rndc
	

Actual Results:  connection refused

Expected Results:  return value 0

Additional info:

Fix:
Put 

controls {
        inet 127.0.0.1 allow { localhost; }  keys { key_name; };
};


in /etc/named.conf
Comment 1 av3 2001-06-17 08:51:54 EDT
Also, keyname "key" does not seem to work. I changed it to 
"mykey" and then it worked...
Comment 2 Harald Hoyer 2001-07-20 12:10:33 EDT
added in bindconf-1.5-1:

controls {
        inet 127.0.0.1 allow { localhost; } keys { rndckey; };
};
 
include "/etc/rndc.key";

Note You need to log in before you can comment on or make changes to this bug.